Summary:	A command line CD/DVD-Recorder
Summary(de):	Ein Kommandozeilen CD/DVD-Brennsoftware
Name:		cdrkit
Version:	1.1.11
Release:	%mkrel 2
License:	GPLv2+
Group:		Archiving/Cd burning
URL:		http://cdrkit.org/
Source:		http://cdrkit.org/releases/%{name}-%{version}.tar.xz
Patch1:		cdrkit-1.1.9-wformat-error.patch
Patch2:         cdrkit-1.1.9-cmake2.8-build.patch
Patch3:		cdrkit-1.1.9-buffer_overflow.patch
Patch4:		cdrkit-1.1.9-efi-boot.patch
BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	zlib-devel
BuildRequires:	libcap-devel
BuildRequires:	magic-devel
Requires(pre):	/usr/sbin/groupadd rpm-helper
Obsoletes:	cdrecord-dvdhack =< 2.01-0.a15.2mdk cdrecord =< 2.01.01-0.a11-3mdv
Provides:	cdrecord-dvdhack = 2.01.01-1mdv cdrecord = 2.01.01-1mdv
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes: 	%{name} < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2

%package icedax
Summary:	CD-Audio to .wav converter
Summary(de):    Audio CD zu Wave Konverter
Group:		Sound
Obsoletes:	cdrecord-cdda2wav <= 4:2.01.01-0.a11.3mdv
Provides:	cdrecord-cdda2wav
Requires(pre):	rpm-helper

%package genisoimage
Group:		Archiving/Cd burning
Obsoletes:	mkisofs <= 2.01.01-0.a11.3mdv
Provides:	mkisofs
Summary:	Creates an image of an ISO9660 filesystem
Summary(de):    Erstellen von Abbilder als ISO9660 Datei

%package isotools
Group:		Archiving/Cd burning
Obsoletes:	cdrecord-isotools
Provides:	cdrecord-isotools
Conflicts:	cdrecord =< 2.01.01-0.a11.3mdv
Summary:	Collection of ISO files related tools
Summary(de):    Eine Kollektion an Werkzeugen für ISO Dateien
Requires(pre):	/usr/sbin/groupadd rpm-helper

%description
wodim allows you to create CDs and DVDs on a CD-Recorder or DVD-Recorder
(SCSI/ATAPI). It supports data, audio, mixed, multi-session, CD+, DVD,
DVD-Video discs etc.

#german
%description -l de
Mit wodim können Sie CDs und DVDs erstellen mit einem CD/DVD Rekorder (Brenner)
(SCSI / ATAPI). Es unterstützt Daten-, Audio-, gemischten, Multi-Session CD + DVD,
DVD-Video Disks usw.

%description icedax
icedax reads audio CDs, outputting a wav file.

#german
%description icedax -l de
Icedax liest Audio CDs aus und speichert diese als Wave Dateien.

%description genisoimage
genisoimage is used to create ISO 9660 file system images for creating
CD-ROMs. Now includes support for making bootable "El Torito" CD-ROMs.

#german
%description genisoimage -l de
genisoimage wird verwendet, um ISO 9660-Dateisystem Abbilder zu schaffen für die Erstellung von
CD-ROMs. Es bietet jetzt die Unterstützung für die Erstellung von bootfähigen "El Torito " CD-ROMs.

%description isotools
This package is a collection of ISO 9660 commands to dump and test images:
isodebug, isodump, isoinfo, isovfy, devdump.

#german
%description isotools -l de
Dieses Paket ist eine Sammlung von ISO 9660 Befehle zum stabeln und testen von Abbilder:
isodebug, isodump, isoinfo, isovfy, devdump.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%cmake

%make

%install
rm -fr %{buildroot}
%makeinstall_std -C build

%pre
%_pre_groupadd cdwriter

%postun
%_postun_groupdel cdwriter
if [ "$1" = "0" ]; then
  update-alternatives --remove cdrecord %{_bindir}/wodim
  update-alternatives --remove readcd %{_bindir}/readom
fi

%pre icedax
%_pre_groupadd cdwriter

%post icedax
update-alternatives --install %{_bindir}/cdda2wav cdda2wav %{_bindir}/icedax 10 \
    --slave %_mandir/man1/cdda2wav.1%{_extension} cdda2wav.1%{_extension} %_mandir/man1/icedax.1%{_extension}

%postun icedax
%_postun_groupdel cdwriter
if [ "$1" = "0" ]; then
  update-alternatives --remove cdda2wav %{_bindir}/icedax
fi

%pre isotools
%_pre_groupadd cdwriter

%postun isotools
%_postun_groupdel cdwriter

%post
update-alternatives --install %{_bindir}/cdrecord cdrecord %{_bindir}/wodim 10 \
    --slave %_mandir/man1/cdrecord.1%{_extension} cdrecord.1%{_extension} %_mandir/man1/wodim.1%{_extension}
update-alternatives --install %{_bindir}/readcd readcd %{_bindir}/readom 10 \
    --slave %_mandir/man1/readcd.1%{_extension} readcd.1%{_extension} %_mandir/man1/readom.1%{_extension}

%post genisoimage
update-alternatives --install %{_bindir}/mkisofs mkisofs %{_bindir}/genisoimage 10 \
    --slave %_mandir/man1/mkisofs.1%{_extension} mkisofs.1%{_extension} %_mandir/man1/genisoimage.1%{_extension}
update-alternatives --install %{_bindir}/mkhybrid mkhybrid %{_bindir}/genisoimage 10 \
    --slave %_mandir/man1/mkhybrid.1%{_extension} mkhybrid.1%{_extension} %_mandir/man1/genisoimage.1%{_extension}

%postun genisoimage
if [ "$1" = "0" ]; then
  update-alternatives --remove mkisofs %{_bindir}/genisoimage
  update-alternatives --remove mkhybrid %{_bindir}/genisoimage
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc FAQ TODO FORK VERSION START ABOUT doc/DOC-OVERVIEW doc/PORTABILITY doc/READMEs doc/WHY doc/plattforms doc/wodim/
%{_bindir}/wodim
%{_bindir}/readom
%{_sbindir}/netscsid
%{_mandir}/man1/wodim.1.*
%{_mandir}/man1/list_audio_tracks.1.*
%{_mandir}/man1/readom.1.*

%files isotools
%defattr(-,root,root)
%{_bindir}/devdump
%{_bindir}/isodebug
%{_bindir}/isodump
%{_bindir}/isoinfo
%{_bindir}/isovfy
%{_mandir}/man1/devdump.1.*
%{_mandir}/man1/isodump.1.*
%{_mandir}/man1/isoinfo.1.*
%{_mandir}/man1/isovfy.1.*
%{_mandir}/man1/isodebug.1.*

%files genisoimage
%defattr(-,root,root)
%{_bindir}/genisoimage
%{_bindir}/dirsplit
%{_mandir}/man1/genisoimage.1.*
%{_mandir}/man5/genisoimagerc.5.*
%{_mandir}/man1/dirsplit.1.*

%files icedax
%defattr(-,root,root)
%{_bindir}/icedax
%{_bindir}/cdda2mp3
%{_bindir}/cdda2ogg
%{_bindir}/pitchplay
%{_bindir}/readmult
%{_mandir}/man1/readmult.1.*
%{_mandir}/man1/cdda2ogg.1.*
%{_mandir}/man1/icedax.1.*
%{_mandir}/man1/pitchplay.1.*


%changelog
* Sat Apr 04 2015 TerryN <terryn94 at gmail.com> 1.1.11-2pclos2015
- genisofs: support UEFI boot records

* Sun Apr 17 2011 leiche <meisssw01 at aol.com> 1.1.11-1leiche2011
- 1.1.11
- add german sysnaptic description
- add requires for new glibc

* Tue Apr 27 2010 Texstar <texstar at gmail.com> 1.1.10-1pclos2010
- 1.1.10

* Fri Dec 04 2009 pcserver <pcserver at hush.com> 1.1.9-2pclos2010
- gcc update

